# Role : docker_mobilizon

## Services fournis

- main.yml : Installation de mobilizon sur un serveur docker_host


## Variables

Fournir les variables suivantes. Par exemple :

```yaml
docker_mobilizon_fqdn: mobilizon.example.com
docker_mobilizon_version: 2.1.0
docker_mobilizon_data_dir: /data1
docker_mobilizon_service_id: mobilizon
docker_mobilizon_db_password: mot_de_passe
docker_mobilizon_instance_name: "{{ docker_mobilizon_fqdn }}"
docker_mobilizon_email_from: expediteur@example.com
docker_mobilizon_secret_key_base: un_secret
docker_mobilizon_secret_key: un_secret
docker_mobilizon_smtp_server: mail.example.com
```

| Option                              | Valeur par défaut | Description                                                                                |
|-------------------------------------|-------------------|--------------------------------------------------------------------------------------------|
| docker_mobilizon_fqdn               |                   | Le fqdn pour accéder à mobilizon                                                           |
| docker_mobilizon_version            |                   | Version de l'image mobilizon                                                               |
| docker_mobilizon_data_dir           |                   | L'emplacement dans lequel se trouvent les volumes de donnees docker pour le service        |
| docker_mobilizon_service_id         |                   | Le nom de service souhaité : conditionne le nommage des dossiers et le routage par traefik |
| docker_mobilizon_db_name            | mobilizon         | Le nom souhaité pour la base de données                                                    |
| docker_mobilizon_db_user            | mobilizon         | Le nom souhaité pour le proprietaire de la base                                            |
| docker_mobilizon_db_password        |                   | Le mot de passe du proprietaire de la base                                                 |
| docker_mobilizon_instance_name      |                   | Nom de l'instance mobilizon                                                                |
| docker_mobilizon_email_from         |                   | Adresse d'émetteur des courriels envoyés par mobilizon                                     |
| docker_mobilizon_secret_key_base    |                   | Générer un secret avec `gpg --gen-random --armor 1 50`                                     |
| docker_mobilizon_secret_key         |                   | Générer un secret avec `gpg --gen-random --armor 1 50`                                     |
| docker_mobilizon_smtp_server        |                   | Adresse du serveur smtp                                                                    |
| docker_mobilizon_smtp_port          | 25                |                                                                                            |
| docker_mobilizon_smtp_username      | ""                | Renseigner si nécessaire pour s'authentifier auprès du serveur smtp                        |
| docker_mobilizon_smtp_password      | ""                | Renseigner si nécessaire pour s'authentifier auprès du serveur smtp                        |
| docker_mobilizon_registrations_open | "true"            | Précise si le serveur est ouvert aux inscriptions                                          |
| docker_mobilizon_custom_config      | false             | Si true, prepare docker-compose pour un fichier config.exs spécifique                      |


# Premier démarrage 

docker-compose exec mobilizon mobilizon_ctl users.new "admin@email.com" --admin --password "Y0urP4ssw0rd"

# Configuration spécifique

docker cp mobilizon_mobilizon_1:/etc/mobilizon/config.exs .

docker_mobilizon_custom_config: true







